v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kitlists
Retrieves generated/uploaded kit lists details in a study. Rights: OrsInventoryGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitListDetailsTO v1.0
Title:
KitListDetailsTO v1.0Object containing kit list details.
Nested Schema : KitListDetailsTO v1.0
Type:
objectTitle:
KitListDetailsTO v1.0Object containing kit list details.
Show Source
-
description: string
Title:
DescriptionKit list description.Example:Example kit list. -
id: string
(uuid)
Title:
IDUnique identifier of the kit list. -
name: string
Title:
NameKit list name.Example:KitList-01 -
statusId: integer
(int32)
Title:
Status IDStatus ID of the kit list.Example:1
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples